Building
--------

First run should use zig build -Dfetch. This will pull dependencies

Building for Linux
------------------
Linux requires libx11 and libxfixes. Specific curl commands are in build.zig


Building for Windows
--------------------

```
zig build -Dtarget=x86_64-windows -Dcurl -Dseperate-encryption -Drelease-safe && cp zig-out/bin/*.???
```

Building for Linux:
```
zig build
```

Three executables come out of this:

* encrypt: Only used in Windows when -Dseperate-encryption is specified. This works around
           crowdstrike restrictions, but only if the executable is not named "encrypt",
           so I've rot13'd the name.
* clipboard-download: Downloads from the clipboard
* clipboard-upload: Uploads to the clipboard

There is nothing to prevent a download from setting the clipboard and triggering
an upload. We'll live with that, at least for now.

Issues to fix
-------------

Iguana needs TLS 1.3 support, or support for a ECDSA algorithm
Windows uploader creates a traditional dos window
